Skip Menu |
 

This queue is for tickets about the Devel-PerlySense CPAN distribution.

Report information
The Basics
Id: 29212
Status: resolved
Priority: 0/
Queue: Devel-PerlySense

People
Owner: Nobody in particular
Requestors: DROLSKY [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: perly-sense.el doesn't work 100% with Emacs 22 - no functions forward-char-nomark or backward-char-nomark
Download (untitled) / with headers
text/plain 206b
Ok, really, I'm using Emacs 21.0.91.1 (from Ubuntu Feisty) but that's pretty close to 22. Apparently the above mentioned functions no longer exist. Some things in perlysense still work fine, but some don't.
Download (untitled) / with headers
text/plain 871b
On Thu Sep 06 20:57:05 2007, DROLSKY wrote: Show quoted text
>Ok, really, I'm using Emacs 21.0.91.1 (from Ubuntu Feisty) but that's >pretty close to 22. Apparently the above mentioned functions no longer >exist.
Uh, what version of Emacs is this bug report for again? I use 21.3.1 on WinXP at home, and 22 something on Solaris 10 at work and it works fine for me. The function seems to be part of the pc-select package, maybe that's not part of the install in your earlier version. I'm a pretty green newbie when it comes to elisp, so using it may have been a bad call. I'll see if I can replace it with a simple backward-char which is a built-in. Show quoted text
>Some things in perlysense still work fine, but some don't.
If you refer to things other than broken Emacs things, then I know :) It's still early alpha with only developer releases so far. Test cases are of course welcome. /J
Download (untitled) / with headers
text/plain 166b
Replaced with built-ins in 0.01_12. I think you actually have pc-select on your system, but I suspect your config doesn't load it. Anyway, this should fix it. /J
CC: DROLSKY [...] cpan.org
Subject: Re: [rt.cpan.org #29212] perly-sense.el doesn't work 100% with Emacs 22 - no functions forward-char-nomark or backward-char-nomark
Date: Fri, 7 Sep 2007 19:11:01 -0500 (CDT)
To: via RT <bug-Devel-PerlySense [...] rt.cpan.org>
From: Dave Rolsky <autarch [...] urth.org>
Download (untitled) / with headers
text/plain 1.3k
On Fri, 7 Sep 2007, via RT wrote: Show quoted text
> On Thu Sep 06 20:57:05 2007, DROLSKY wrote:
>> Ok, really, I'm using Emacs 21.0.91.1 (from Ubuntu Feisty) but that's >> pretty close to 22. Apparently the above mentioned functions no longer >> exist.
> > Uh, what version of Emacs is this bug report for again?
Oops, that should be 22.0.91.1. It's the emacs-snapshot package in Ubuntu Feisty. Show quoted text
> > I use 21.3.1 on WinXP at home, and 22 something on Solaris 10 at work > and it works fine for me. The function seems to be part of the > pc-select package, maybe that's not part of the install in your > earlier version. I'm a pretty green newbie when it comes to elisp, so > using it may have been a bad call.
Aha, I added a (load "pc-select") before loading perly-sense and now things are good. Maybe you should add that to perly-sense itself? Alternatively, maybe you should just cut'n'paste those functions. Show quoted text
>> Some things in perlysense still work fine, but some don't.
> > If you refer to things other than broken Emacs things, then I know :) > It's still early alpha with only developer releases so far. > > Test cases are of course welcome.
All the features seem to be working with the above-mentioned change. -dave /*=================================================== VegGuide.Org www.BookIRead.com Your guide to all that's veg. My book blog ===================================================*/


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.